summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>2016-01-22 21:43:31 +0100
committerBernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>2016-01-22 21:43:31 +0100
commit1cb95f80cb7095d7da97c80309f38f82a2bddf87 (patch)
treee2bb695b81097488c302caa063faf61df6ff3a5e
parent47cc44b34529d0d338734be7e3c36b952ab7ba2f (diff)
downloadandroid-patchsets-1cb95f80cb7095d7da97c80309f38f82a2bddf87.tar.gz
Pull in patch for Pixel C keyboard support
Change-Id: Id354e3d1afee585a97fa868cbb5deb0dc062f4b3 Signed-off-by: Bernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>
-rwxr-xr-xmarshmallow-pixelc-patchset19
1 files changed, 19 insertions, 0 deletions
diff --git a/marshmallow-pixelc-patchset b/marshmallow-pixelc-patchset
new file mode 100755
index 0000000..277270b
--- /dev/null
+++ b/marshmallow-pixelc-patchset
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+# Add kludge for Pixel C keyboard layout support that made it to 6.0.1_r5 but not 6.0.1_r10
+cherrypick frameworks/base f3ec536edbad295303d9a3cf80bd72a4675cf7c7